
Redmine - Defect #12684

Hotkey for Issue-Edit doesn't work as expected

2012-12-28 10:40 - Daniel Felix

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.3.1   

Resolution: Fixed Affected version: 2.1.4

Description

Hi,

the hotkey (e) doesn't work as expected. If I open a ticket and press alt+e (in IE) or alt+shift+e (firefox), the link edit get a focus, but

the script isn't triggered.

Best regards,

Daniel

Related issues:

Has duplicate Redmine - Defect #14550: Issue edition : accesskey="e" conflict... Closed

Associated revisions

Revision 11754 - 2013-05-01 15:13 - Jean-Philippe Lang

Pevents duplicate accesskeys (#12684).

Revision 11755 - 2013-05-01 15:14 - Jean-Philippe Lang

Merged r11754 from trunk (#12684).

History

#1 - 2013-01-02 08:55 - Jean-Philippe Lang

- Status changed from New to Confirmed

#2 - 2013-03-18 11:09 - Daniel Felix

- Target version set to 2.3.1

Any ideas? Maybe this is caused by the duplicate declaration of the hot key by the duplicated edit bars?

Still reproduce able with newer JS libraries?

Maybe this one could find it's way in 2.3.1 as a bug fix.

#3 - 2013-05-01 15:15 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Resolution set to Fixed

There was duplicate accesskeys indeed. This is fixed in r11755, thanks for pointing this out.

#4 - 2013-07-27 14:17 - Etienne Massip

- Has duplicate Defect #14550: Issue edition : accesskey="e" conflict between update link and textarea edit added
